org.apache.lucene.queryparser.flexible.core.nodes

## Interface FieldableNode

All Superinterfaces:
  QueryNode

All Known Subinterfaces:
  FieldValuePairQueryNode<T>, RangeQueryNode<T>

All Known Implementing Classes:
  AbstractRangeQueryNode, FieldQueryNode, FuzzyQueryNode, MultiPhraseQueryNode, NumericQueryNode, NumericRangeQueryNode, PhraseSlopQueryNode, PrefixWildcardQueryNode, QuotedFieldQueryNode, RegexpQueryNode, SlopQueryNode, TermRangeQueryNode, TokenizedPhraseQueryNode, WildcardQueryNode

    public interface FieldableNode
    extends QueryNode

A query node implements `FieldableNode` interface to indicate that its children and itself are associated to a specific field. If it has any children which also implements this interface, it must ensure the children are associated to the same field.

### Method Summary

Methods
`CharSequence` `getField()` Returns the field associated to the node and every node under it.
`void` `setField(CharSequence fieldName)` Associates the node to a field.

### Methods inherited from interface org.apache.lucene.queryparser.flexible.core.nodes.QueryNode

`add, add, cloneTree, containsTag, getChildren, getParent, getTag, getTagMap, isLeaf, set, setTag, toQueryString, toString, unsetTag`

### Method Detail

#### getField

    CharSequence getField()

Returns the field associated to the node and every node under it.

Returns:
  the field name

#### setField

    void setField(CharSequence fieldName)

Associates the node to a field.

Parameters:
  `fieldName` - the field name